Pagina 2 di 4 PrimaPrima 1234 UltimaUltima
Risultati da 11 a 20 di 37
  1. #11
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2758
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da delki Visualizza Messaggio
    Si può fare solo con una macro
    Facilmente scrivibili aggiungo, potrebbe essere un buon esercizio per iniziare a studiare il VBA.
    Francesco
    Cintura nera di solid edge

  2. #12
    Moderatore SolidEdge L'avatar di cacciatorino
    Iscritto dal
    2007
    Messaggi
    9338
    Professione
    Ingegnere meccanico
    Regione
    Porto Recanati, ma con l'appennino nel cuore
    Software
    SolidEdge CoCreate Salome-Meca

    Predefinito

    Citazione Originariamente Scritto da Be_on_edge Visualizza Messaggio
    potrebbe essere un buon esercizio per iniziare a studiare il VBA.
    Alla nostra eta', ormai consapevoli che il tempo che ci resta non e' infinito, dobbiamo imparare a selezionare gli obbiettivi su cui concentrarci!



    stimarchetti.altervista.org - Progettazione Meccanica

  3. #13
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    Per un po' di sano orgoglio personale ho provato a spulciare con l'utility "COM Object Browser" i campi ed ecco la macro in meno di un'ora:

    salvare il contenuto in un file di nome es.: "dftPrefissoSuffisso.vbs"
    il nome è personalizzabile, l'estensione è sempre .vbs
    Dalla personalizzazione dei comandi della barra a nastro, aggiungere una icona, sezione Macro,..... (solita procedura),... selezionare Tipo: "tutti i file (*.*)" o simile.

    Codice:
    ' dftPrefissoSuffisso.vbs
    ' Gianluca Vespignani 19/06/2013 
    ' cambia Prefisso Suffisso
    ' scritto con Notepad ++ : \Linguaggio\VB
    
    Const seDimension = 488188096
    
    Call Main()
    
    ' Il codice che segue può essere incollato su VBA-Excel per ulteriori sviluppi
    Sub Main()
    
    	Dim prefisso ' As String
    	Dim suffisso ' As String
    	Dim sovrascrivi
    
    	' prefisso e suffisso impostati dall'utente
    	prefisso = ""
    	suffisso = "x 45°"
    	sovrascrivi = True ' Attenzione cancella e sovrascrive se i campi = "" 
    
    	Dim objApp 'As SolidEdgeFramework.Application
    	Dim objDoc 'As SolidEdgeDraft.DraftDocument
    	Dim objSel 'As SolidEdgeFramework.SelectSet
    
    	Dim objList 'As ...
    	Dim objItem 'As ...
    
    	' Create/get the application with specific settings
    	'On Error Resume Next
    	Set objApp = GetObject(, "SolidEdge.Application")
    	objApp.Visible = True
    	If Err Then
    		Err.Clear
    		MsgBox ("prima apri solid edge!!!")
    		'Set objApp = CreateObject("SolidEdge.Application")
    		'Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
    		'Call objDoc.Close
    		'Set objDoc = objApp.Documents.Open(FileDFT)
    		'objApp.Visible = True
    		' TODO: verificare se sono nell'ambiente Draft o terminare con Exit Sub
    	Else
    		Set objDoc = objApp.ActiveDocument
    	End If
    	On Error GoTo 0   'rigestisce gli errori
    
    	' Get the active Selection
    	Set objSel = objApp.ActiveSelectSet
    	If objSel.Count < 1 Then
    		MsgBox ("Selezionare almeno una quota.")
    		Exit sub
    	Else
    		For Each objItem In objSel
    			' Filtra gli oggetti seleziona e restituisci solo le quote
    			if objItem.Type = seDimension then
    				'campi:
    				if sovrascrivi Or prefisso <> "" Then
    					objItem.PrefixString = prefisso
    				End If
    				if sovrascrivi Or suffisso <> "" Then
    					objItem.SuffixString = suffisso
    				End If
    				' campi di tipo string utilizzabili, tested by "COM Object Browser"
    				'.SuperfixString = "Apice" (string)
    				'.SubfixString = "Pedice" (string)
    				'.SubfixString2 = "Pedice2" (string)
    			end if
    		Next
    	End If
    
    
    	' Release objects
    	Set objApp = Nothing
    	Set objDoc = Nothing
    	Set objSel = Nothing
    	' MsgBox("Finito.")
    End Sub

  4. #14
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da cacciatorino Visualizza Messaggio
    Alla nostra eta', ormai consapevoli che il tempo che ci resta non e' infinito, dobbiamo imparare a selezionare gli obbiettivi su cui concentrarci!
    Tipo la famiglia, un orticello e qualche hobby? ;-P

  5. #15
    Moderatore SolidEdge L'avatar di cacciatorino
    Iscritto dal
    2007
    Messaggi
    9338
    Professione
    Ingegnere meccanico
    Regione
    Porto Recanati, ma con l'appennino nel cuore
    Software
    SolidEdge CoCreate Salome-Meca

    Predefinito

    Citazione Originariamente Scritto da vespa_83 Visualizza Messaggio
    Tipo la famiglia, un orticello e qualche hobby? ;-P
    Una cosa del genere.... Attualmente il mio tempo libero lo dedico principalmente alla bici da corsa, ma per qualcun altro l'hobby puo' essere la programmazione. E' un fatto puramente soggettivo!



    stimarchetti.altervista.org - Progettazione Meccanica

  6. #16
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2758
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da cacciatorino Visualizza Messaggio
    Una cosa del genere.... Attualmente il mio tempo libero lo dedico principalmente alla bici da corsa, ma per qualcun altro l'hobby puo' essere la programmazione. E' un fatto puramente soggettivo!
    Ah un bitumaro !

    Altro che programmazione io d'estate mi dedico alla MTB
    Francesco
    Cintura nera di solid edge

  7. #17
    Moderatore SolidEdge L'avatar di cacciatorino
    Iscritto dal
    2007
    Messaggi
    9338
    Professione
    Ingegnere meccanico
    Regione
    Porto Recanati, ma con l'appennino nel cuore
    Software
    SolidEdge CoCreate Salome-Meca

    Predefinito

    Citazione Originariamente Scritto da Be_on_edge Visualizza Messaggio
    Altro che programmazione io d'estate mi dedico alla MTB
    La MTB e' una cosa su cui sto ragionando da un po'......



    stimarchetti.altervista.org - Progettazione Meccanica

  8. #18
    Utente Junior
    Iscritto dal
    2011
    Messaggi
    28
    Professione
    progettista
    Regione
    italia
    Software
    solidedge

    Predefinito

    grazie Vespa_83!
    ho provato a lanciare la macro da excell e funziona perfetta ma... chiedo venia...ho provato a salvarla da notepad++ come "45.vb" e nonfunziona
    è perchè ho un versione x64? ci sono altre soluzioni?
    cop1

  9. #19
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    allora, intanto prova con estensione vbs e non vb (come ho scritto sopra).
    ho un 64bit anche io e va.
    se proprio non va sul 64 bit allora bisogna fare eseguire lo script tramite C:\Windows\SysWOW64\wscript.exe
    ma ne riparliamo domani, comunque non credo sia necessario.

    ciao

  10. #20
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    allora? Rinominando a "45.vbs" funziona?


  • Pagina 2 di 4 PrimaPrima 1234 UltimaUltima

    Discussioni Simili

    1. Pulsante "Attiva" parte in Solid Edge ST3
      Di Francesco90 nel forum Solid Edge
      Risposte: 2
      Ultimo Messaggio: 02-04-2013, 19: 13
    2. Risposte: 9
      Ultimo Messaggio: 29-05-2012, 09: 19
    3. Aggiungere "TAG" a sottoscrizioni per trovare post interessanti
      Di reggio nel forum Proposte di modifiche al sito
      Risposte: 9
      Ultimo Messaggio: 27-01-2011, 16: 34
    4. Risposte: 2
      Ultimo Messaggio: 20-11-2009, 15: 45
    5. Pulsante "ok" Solid edge ST
      Di xxxfazioxxx nel forum Solid Edge
      Risposte: 2
      Ultimo Messaggio: 17-12-2008, 15: 05

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti